Package org.pushingpixels.substance.api

# Enum Class SubstanceConstants.SubstanceWidgetType

java.lang.Object
java.lang.Enum<SubstanceConstants.SubstanceWidgetType>
org.pushingpixels.substance.api.SubstanceConstants.SubstanceWidgetType

All Implemented Interfaces:
  `Serializable`, `Comparable<SubstanceConstants.SubstanceWidgetType>`, `Constable`

Enclosing class:
  `SubstanceConstants`

public static enum SubstanceConstants.SubstanceWidgetType extends Enum<SubstanceConstants.SubstanceWidgetType>
Enumerates configurable Substance-specific widget types for `SubstanceLookAndFeel.setWidgetVisible(javax.swing.JRootPane, boolean, org.pushingpixels.substance.api.SubstanceConstants.SubstanceWidgetType...)` API.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`MENU_SEARCH`
Menu search widget.
`TITLE_PANE_HEAP_STATUS`
Title pane heap status widget.

## Method Summary

Modifier and Type
Method
Description
`static SubstanceConstants.SubstanceWidgetType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static SubstanceConstants.SubstanceWidgetType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### MENU_SEARCH

public static final SubstanceConstants.SubstanceWidgetType MENU_SEARCH
Menu search widget.

### TITLE_PANE_HEAP_STATUS

public static final SubstanceConstants.SubstanceWidgetType TITLE_PANE_HEAP_STATUS
Title pane heap status widget.

## Method Details

### values

public static SubstanceConstants.SubstanceWidgetType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static SubstanceConstants.SubstanceWidgetType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null